<?php
if(isset($_GET['pulyr']))
{
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-15)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `pulyr` = '".($ku['pulyr']+10)."' WHERE `id` = '$ku[id]'");
echo "<div class='event'><h1>Русская рулетка</h1></a></div>";
echo "<div class='block'><img width='35' height='35' src='images/puly.png' alt='o'>Вы купили 10 пуль за 15 рубинов.<br><a href='?rul2'>Играть.</a></div>";
} else {
if($ku['pulyr']<=0)
{
echo "<div class='event'><h1>Русская рулетка</h1></a></div>";
echo "<div class='block'><img width='35' height='35' src='images/puly.png' alt='o'>У тебя не хватает пуль. <a href='?rul2&pulyr'>Купить?</a></div>";
} else {
$go=rand(1,4);
if($ku['rubies']<25)
{
echo "<div class='event'><h1>Русская рулетка</h1></a></div>";
echo "<div class='block'>Извени. Ты бомж :D Бомжан тут делать нечего.</div>";
}
else
{
echo "<div class='event'><h1><a href='?ruletka'>Русская рулетка</a> / На рубины</h1></div>";
$no=rand(1,5);
$ino=$no;
if($go == 1) {
$yes=rand(0,5);
$iyes=$yes;
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$iyes)."' WHERE `id` = '$ku[id]'");
if($iyes==0){echo "<div class='block'><img width='35' height='35' src='images/minus.png' alt='o'> <font color='orange'>Ты поймал 0 рубинов, ну ничего. Потом повезет :)</font></div>";
}
else
{
echo "<div class='block'><img width='35' height='35' src='images/plus.png' alt='o'> <font color='yellow'>Пуля попала, вот тебе ".$iyes." рубинов. Успеха на грядках :)</font></div>";
}
mysql_query("UPDATE `kolhoz_user` SET `pulyr` = '".($ku['pulyr']-1)."' WHERE `id` = '$ku[id]'");
}
elseif($go == 2)
{
echo "<div class='block'><img width='35' height='35' src='images/minus.png' alt='o'> <font color='red'>Ууу, ну ты косой. Промах. Я забираю у тебя ".$ino." рубинов.</font></div>";
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$ino)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `pulyr` = '".($ku['pulyr']-1)."' WHERE `id` = '$ku[id]'");
}
elseif($go == 3)
{
$rat=rand(1,2);
$irat=$rat;
echo "<div class='block'><img width='35' height='35' src='images/puly.png' alt='o'> <font color='green'>Оп, ты нашёл ".$irat." п.</font></div>";
mysql_query("UPDATE `kolhoz_user` SET `pulyr` = '".($ku['pulyr']+$irat)."' WHERE `id` = '$ku[id]'");
}
else
{
echo "<div class='block'><img width='35' height='35' src='images/vintovka.png' alt='o'> Пистолет заклинило, пуля испорчена. Попробуй еще еще.</div>";
mysql_query("UPDATE `kolhoz_user` SET `pulyr` = '".($ku['pulyr']-1)."' WHERE `id` = '$ku[id]'");
}
echo "<div class='block'><img width='16' height='16' src='images/vintovka.png' alt='o'> <a href='?rul2&reflesh=".rand(99999,99999999)."'>Играть еще?</a> (-1 пуля)<br><img width='16' height='16' src='images/icons/cart.png' alt='o'> <a href='?rul2&pulyr'>Купить 10 пуль.</a> (у тебя ".$ku['pulyr'].")</div>";
}
}
}
include_once 'inc/foot.php';
?>